white = Color.new(255,255,255)
file = io.open("flash0:/vsh/etc/version.txt","r")
mystring = file:read()
file:close()

newstring = string.sub(mystring,9,12)

screen:clear(white)
screen:print(155,136,"Firmware Version: "..newstring)screen.flip()
screen.waitVblankStart(100)
